Login | Register
My pages Projects Community openCollabNet

Discussions > users > Antelope 3.1.6 and jEdit 4.2pre11: Error loading Ant 1.6.1 (1.6.0 OK)

antelope
Discussion topic

Hide all messages in topic

All messages in topic

Re: Antelope 3.1.6 and jEdit 4.2pre11: Error loading Ant 1.6.1 (1.6.0 OK)

Author Dale Anson <danson at germane-software dot com>
Full name Dale Anson <danson at germane-software dot com>
Date 2004-05-16 22:37:49 PDT
Message Hmm, that's almost the same set up I'm using on my Windows box -- Win2k, Sun jdk 1.4.2_03, jEdit 4.2pre11, and Ant 1.6.1. I'm not having any problems. No problems on my Gentoo Linux box either -- Sun jdk 1.4.2_03, jEdit 4.2pre13, Ant 1.6.1. Also works fine on both boxes with Ant 1.6.0 and Ant 1.5.4. I actually upgraded jEdit on my Redhad 7.2 Linux box this afternoon, I upgraded jEdit from 4.2pre9 to 4.2pre13 and Antelope plugin from 3.1.0 to 3.1.6 using the file from antelope.tigris.org. Still no problems. Can you run Ant from the command line? I'm thinking that either you got a bad download of Ant itself or a bad download of Antelope. If you can run Ant okay from the command line, I'd suggest getting a fresh copy of Antelope and reinstalling. Thanks, Dale Richard Martell wrote: > Hi, > > > Let me start by saying that everything appears OK when using Ant 1.6.0. > However, when run against Ant 1.6.1 an error arises when attempting to > load Ant; the tail of the jEdit activity log includes the following: > > [error] AWT-EventQueue-0: java.lang.NoClassDefFoundError: > org/apache/tools/ant/Project > [error] AWT-EventQueue-0: at > ise.antelope.plugin.AntelopePluginPanel$1.run(AntelopePluginPanel.java:166) > [error] AWT-EventQueue-0: at > java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:178) > ... > > The error panel that pops up displays a long list of exceptions: > > Cannot load: java.util.zip.ZipException:... > > > Resetting ANT_HOME in the Antelope options panel to point at 1.6.0 > remedies the problem. > > Other details > ------------- > jEdit : 4.2pre11 > OS : Win2k SP4 > J2SDK : Sun 1.4.2_04 > > > Hope this sheds some light. > > --------------------------------------------------------------------- To unsubscribe, e-mail: users-unsubscribe@antelope.tigris.org For additional commands, e-mail: users-help@antelope.tigris.org

Antelope 3.1.6 and jEdit 4.2pre11: Error loading Ant 1.6.1 (1.6.0 OK)

Author Richard Martell <rmartell at galdosinc dot com>
Full name Richard Martell <rmartell at galdosinc dot com>
Date 2004-05-14 16:20:08 PDT
Message Hi, Let me start by saying that everything appears OK when using Ant 1.6.0. However, when run against Ant 1.6.1 an error arises when attempting to load Ant; the tail of the jEdit activity log includes the following: [error] AWT-EventQueue-0: java.lang.NoClassDefFoundError: org/apache/tools/ant/Project [error] AWT-EventQueue-0: at ise.antelope.plugin.AntelopePluginPanel$1.run(AntelopePluginPanel.java:166) [error] AWT-EventQueue-0: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:178) ... The error panel that pops up displays a long list of exceptions: Cannot load: java.util.zip.ZipException:... Resetting ANT_HOME in the Antelope options panel to point at 1.6.0 remedies the problem. Other details ------------- jEdit : 4.2pre11 OS : Win2k SP4 J2SDK : Sun 1.4.2_04 Hope this sheds some light. -- Richard --------------------------------------------------------------------- To unsubscribe, e-mail: users-unsubscribe@antelope.tigris.org For additional commands, e-mail: users-help@antelope.tigris.org
Messages per page: